//////////////////////////////////////////
// Renamer.h
// Copyright (c) 05/06/2020 by BCCSkelton
//////////////////////////////////////////
//BCCSkeltonのヘッダー−これに必要なヘッダーが入っている
#include	"BCCSkelton.h"
//リソースIDのヘッダー
#include	"ResRenamer.h"

/////////////////////////////////////////////////////////////////////
//CMyWndクラスをCDLGクラスから派生させ、メッセージ用の関数を宣言する
/////////////////////////////////////////////////////////////////////
class CMyWnd : public CDLG
{
public:	//以下はコールバック関数マクロと関連している
	//２重起動防止用のMutex用ID名称
	CMyWnd(char* UName) : CDLG(UName) {}
	//メニュー項目、ダイアログコントロール関連
	bool OnButton1();
	bool OnButton2();
	bool OnButton3();
	//ウィンドウメッセージ関連
	bool OnInit(WPARAM, LPARAM);
	bool OnDestroy(WPARAM, LPARAM);
	//ユーザー関数関連
	bool SetListBoxFileNames(char*);
	char* InstrRep(char*, char*, char*, char*);
};

////////////////////////////////////////////////////////////////////////
//派生させたCMyWndクラスのインスタンスとコールバック関数(マクロ）の作成
//主ウィンドウはダイアログと違い、コールバック関数は一つしか作れない
////////////////////////////////////////////////////////////////////////
CMyWnd Renamer("Renamer");	//ウィンドウクラスインスタンスの生成

BEGIN_MODELESSDLGMSG(ModelessProc, Renamer)	//コールバック関数名は主ウィンドウの場合ModelessProcにしている
	//メニュー項目、ダイアログコントロール関連
	ON_COMMAND(Renamer, IDC_BUTTON1, OnButton1())
	ON_COMMAND(Renamer, IDC_BUTTON2, OnButton2())
	ON_COMMAND(Renamer, IDC_BUTTON3, OnButton3())
	//自動的にダイアログ作成時にOnInit()、終了時にOnClose()を呼びます
	ON_DESTROY(Renamer)
END_DLGMSG

///////////////////////////////////////////
// CDLGクラスからSHOWDLGクラスを派生
// 複数の同一ダイアログ変数とダイアログも作
// れるが、一つのダイアログに一つの派生ダイ
// アログクラスを作成するのが基本
///////////////////////////////////////////
class SHOWDLG : public CDLG {
public:
	bool OnInit(WPARAM, LPARAM);
	bool OnIdok();
};

////////////////////////////////////////////////////////////////////////////
// SHOWDLGクラスダイアログ変数の生成とそのコールバック関数（マクロ）を定義
// 複数同一クラスのダイアログを作成することを予期してコールバック関数を明記
////////////////////////////////////////////////////////////////////////////
SHOWDLG showdlg;

BEGIN_MODALDLGMSG(showdlgProc, showdlg)	//第1引数がコールバック関数の名前
	//メニュー項目、ダイアログコントロール関連
	ON_COMMAND(showdlg, IDC_BUTTON10, OnIdok())
END_DLGMSG

////////////////////////
//コモンダイアログの作成
////////////////////////
CMNDLG cmndlg;
char Path[MAX_PATH];		//取得パス名

////////////////////////
//ファイル名記録用CSTR変数
////////////////////////
CSTR OldFiles, NewFiles, TBRFiles;

////////////////////////
//ListBox用サイズ構造体
////////////////////////
SIZE size;
